VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode Class Reference

`Timesync.TimeSyncMode` enumerated type Defines different timsync modes More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, Disabled, NTP, host }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static TimeSyncMode[] | GetValues ()
static TimeSyncMode | ValueOf (string name)
## Static Public Attributes
static readonly TimeSyncMode | Disabled = new TimeSyncMode("Disabled", Values.Disabled)
| Time synchronization is disabled.
static readonly TimeSyncMode | NTP = new TimeSyncMode("NTP", Values.NTP)
| NTP-based time synchronization.
static readonly TimeSyncMode | host = new TimeSyncMode("host", Values.host)
| VMware Tool-based time synchronization.

## Detailed Description

`Timesync.TimeSyncMode` enumerated type Defines different timsync modes

## Member Enumeration Documentation

enum vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  Disabled | Time synchronization is disabled.
  NTP | NTP-based time synchronization.
  host | VMware Tool-based time synchronization.

## Member Function Documentation

Values vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::GetEnumValue | ( |  | ) | `[inline]`

static TimeSyncMode [] vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::IsUnknown | ( |  | ) | `[inline]`

static TimeSyncMode vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly TimeSyncMode vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::Disabled = new TimeSyncMode("Disabled", Values.Disabled)`[static]`

Time synchronization is disabled.

readonly TimeSyncMode vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::host = new TimeSyncMode("host", Values.host)`[static]`

VMware Tool-based time synchronization.

readonly TimeSyncMode vmware::appliance::techpreview::TimesyncTypes::TimeSyncMode::NTP = new TimeSyncMode("NTP", Values.NTP)`[static]`

NTP-based time synchronization.

The documentation for this class was generated from the following file:

- TimesyncTypes.cs